Package org.apache.wiki.ui.progress

## Class DefaultProgressManager.JSONTracker

- java.lang.Object
- - org.apache.wiki.ui.progress.DefaultProgressManager.JSONTracker

All Implemented Interfaces:
  `WikiAjaxServlet`

Enclosing class:
  DefaultProgressManager

    public class DefaultProgressManager.JSONTracker
    extends java.lang.Object
    implements WikiAjaxServlet

Provides access to a progress indicator, assuming you know the ID. Progress of zero (0) means that the progress has just started, and a progress of 100 means that it is complete.

### Constructor Summary

Constructors
`JSONTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getProgress​(java.lang.String progressId)` Returns upload progress in percents so far.
`java.lang.String` `getServletMapping()`
`void` `service​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, java.lang.String actionName, java.util.List<java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONTracker

    public JSONTracker()

### Method Detail

#### getProgress

    public int getProgress​(java.lang.String progressId)

Returns upload progress in percents so far.

Parameters:
  `progressId` - The string representation of the progress ID that you want to know the progress of.
Returns:
  a value between 0 to 100 indicating the progress

#### getServletMapping

    public java.lang.String getServletMapping()

Specified by:
  `getServletMapping` in interface `WikiAjaxServlet`

#### service

    public void service​(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse resp,
                        java.lang.String actionName,
                        java.util.List<java.lang.String> params)
                 throws java.io.IOException

Specified by:
  `service` in interface `WikiAjaxServlet`
Throws:
  `java.io.IOException`